<div *ngIf="!loading">
  <div class="pb-5" *ngIf="instructor">
    <h1 class="title">
      {{'CoursesLocal.ModuleTitle' | translate}}
      <h5 class="d-lg-inline d-md-inline d-sm-block font-weight-normal pr-2">
        <span>{{instructor.department?.currentPeriod?.name}}</span>&nbsp;
        <span>{{instructor.department?.currentYear?.name}}</span>
      </h5>
    </h1>
  </div>
  <div class="clear-content-area mb-3">
    <div class =" d-none d-md-block">
      <ul class="nav nav-tabs">
        <li class="nav-item">
          <div *ngIf="instructor?.department.length !== 0">
            <a class="nav-link active" [class.active]="viewMode == 'tab1'" rel="tab1" (click)="viewMode ='tab1'"> {{instructor?.department.name}}</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link" [class.active]="viewMode == 'tab2'" rel="tab2" (click)="viewMode ='tab2'" [translate]="'CoursesLocal.OtherDepartment'" ></a>
        </li>
      </ul>
    </div>
  </div>
  <div class="clear-content-area mb-3">
    <ul class="nav bg-white d-flex justify-content-around s--nav-tabs d-md-none">
      <li class="nav-item w-50">
        <div *ngIf="instructor?.department.length !== 0">
          <a class="nav-link text-dark font-sm active" title="{{instructor?.department.name}}}" [class.active]="viewMode == 'tab1'" rel="tab1" (click)="viewMode ='tab1'"> {{instructor?.department.name}}</a>
        </div>
      </li>
      <li class="nav-item w-50">
        <a class="nav-link text-dark font-sm" title="{{'CoursesLocal.OtherDepartment' | translate }}" [class.active]="viewMode == 'tab2'" rel="tab2" (click)="viewMode ='tab2'" [translate]="'CoursesLocal.OtherDepartment'" ></a>
      </li>
    </ul>
  </div>
  <div  [ngSwitch]="viewMode">
    <div id="tab1" *ngSwitchCase="'tab1'">
      <div *ngIf="CoursesSameDep?.length !== 0; else nocoursesame">
        <div *ngFor="let courseClass of CoursesSameDep">
          <div class="col-xs-12 col-sm-12 d-md-none">
            <div>
              <div class='card'>
                <a [routerLink]="['/courses', courseClass.course.id,courseClass.year.id,courseClass.period.id]">
                  <div class='card-body'>
                    <div class='row'>
                      <div class="col-12 card-body-title">
                        <h5 class="font-weight-normal">
                          {{courseClass.title}}
                        </h5>
                      </div>
                    </div>
                    <div class ="row text-secondary">
                      <div class="col-12">
                        <div class="row justify-content-start mb-2">
                          <div class="col-auto">
                            <i class="fa fa-flag-checkered"></i>
                            <span class="pl-2">{{courseClass.course.displayCode}}</span>
                          </div>
                          <div class="col-auto">
                            <i class="fa fa-user-secret"></i>
                            <span class="pl-2">{{ courseClass.numberOfStudents }}</span> <span class="pl-1" [translate]="'CoursesLocal.Students'" ></span>
                          </div>
                          <div class="col-auto">
                      <span *ngIf="courseClass.sections.length == 0; else Show">
                        <i class="fa fa-user-secret pr-2"></i>
                        <span  [translate]="'CoursesLocal.SectionNotFound'"></span>
                      </span>
                            <ng-template #Show>
                              <i class="fa fa-user-secret"></i>
                              <span class="pl-2" *ngFor="let section of courseClass.sections; let isLast=last">
                         {{ section.name }}{{isLast ? '' : ', '}}
                        </span>
                            </ng-template>
                          </div>
                        </div>
                        <div class="row justify-content-start mb-2">
                          <div class="col-auto">
                            <i class ="fa fa-user-secret"></i>

                            <span class="pl-2">{{courseClass.period.alternateName | translate}} {{courseClass.year.alternateName}}</span>
                          </div>
                          <div class="col-auto">
                            <i class ="fa fa-user-secret"></i>
                            <span class="pl-2">{{ courseClass.course.department.name }}</span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </a>
              </div>
            </div>
          </div>
          <div class='card d-none d-md-block'>
            <div class='card-body'>
              <div class='row'>
                <div class="col-12 card-body-title">
                  <h5 class="font-weight-normal">
                    {{courseClass.title}}
                  </h5>
                </div>
              </div>
              <div class ="row text-secondary">
                <div class="col-lg-7 col-md-7 col-sm-12">
                  <div class="row justify-content-start mb-2">
                    <div class="col-auto">
                      <i class="fa fa-flag-checkered"></i>
                      <span class="pl-2">{{courseClass.course.displayCode}}</span>
                    </div>
                    <div class="col-auto">
                      <i class="fa fa-user-secret"></i>
                      <span class="pl-2">{{ courseClass.numberOfStudents }}</span> <span class="pl-1" [translate]="'CoursesLocal.Students'" ></span>
                    </div>
                    <div class="col-auto">
                      <span *ngIf="courseClass.sections.length == 0; else Show">
                        <i class="fa fa-user-secret pr-2"></i>
                        <span  [translate]="'CoursesLocal.SectionNotFound'"></span>
                      </span>
                      <ng-template #Show>
                        <i class="fa fa-user-secret"></i>
                        <span class="pl-2" *ngFor="let section of courseClass.sections; let isLast=last">
                         {{ section.name }}{{isLast ? '' : ', '}}
                        </span>
                      </ng-template>
                    </div>
                  </div>
                  <div class="row justify-content-start mb-2">
                    <div class="col-auto">
                      <i class ="fa fa-user-secret"></i>

                      <span class="pl-2">{{courseClass.period.alternateName | translate}} {{courseClass.year.alternateName}}</span>
                    </div>
                    <div class="col-auto">
                      <i class ="fa fa-user-secret"></i>
                      <span class="pl-2">{{ courseClass.course.department.name }}</span>
                    </div>
                  </div>
                </div>
                <div class ="col-lg-2 col-md-1 col-sm-6  d-none d-md-block">
                  <div class="btn-group" id="wrapper" dropdown>
                    <button dropdownToggle type="button" class="btn btn-primary p-2 mt-4 mb-2">
                      <span [translate]="'CoursesLocal.Grading'"></span>
                    </button>
                    <ul *dropdownMenu class="dropdown-menu dropdown-menu-right"  role="menu">
                      <div *ngFor ="let courseExam of courseClass.exams">
                        <div>
                          <li role="menuitem"><a class="dropdown-item" align="right" [routerLink]="['/courses',courseClass.course.id,courseClass.year.id,courseClass.period.id,'exams',courseExam.id]" >  {{courseExam.examPeriod.name}} {{courseExam.year.alternateName}}</a></li>
                        </div>
                      </div>
                    </ul>
                  </div>
                </div>
                <div class="col-lg-2 col-md-3 col-12 d-none d-md-block">
                  <div class="justify-content-center">
                    <div class=" col-md-12 ">
                      <button type="button"
                              class="btn btn-outline-secondary  rounded text-secondary btn-more btn-block  p-2 mb-2">
                        <i class="fa fa-flag-checkered pr-2"></i> <span [translate]="'CoursesLocal.Elearning'"></span>
                      </button></div>
                    <div class="col-md-12">
                      <button type="button"
                              class="btn btn-outline-secondary  rounded text-secondary btn-more btn-block  p-2 mb-2">
                        <i class="fa fa-flag-checkered pr-2"></i> <span [translate]="'CoursesLocal.Schedule'"></span>
                      </button></div>
                  </div>
                </div>
                <div class="col-lg-1 col-md-1 col-12 d-none d-md-block" align="center">
                  <div class=" justify-content-center">
                    <div class="btn-group" dropdown>
                      <i dropdownToggle class ="fa fa-chevron-down big-icon p-2 mt-4 mb-2"></i>
                      <ul *dropdownMenu class="dropdown-menu dropdown-menu-right"  role="menu">
                        <li role="menuitem"><a class="dropdown-item" align="right" [routerLink]="['/courses', courseClass.course.id,courseClass.year.id,courseClass.period.id]"  [translate] ="'CoursesLocal.MoreCourseInfo'"></a></li>
                        <li role="menuitem"><a class="dropdown-item disabled" href="#"  [translate] = "'CoursesLocal.sendEmail'" ></a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <ng-template #nocoursesame>
        <span [translate]="'CoursesLocal.CoursesNotFound'"></span>
      </ng-template>
    </div>
    <div id="tab2"  *ngSwitchCase="'tab2'">
      <div *ngIf="CoursesDiffDep?.length !== 0; else nocoursediff">
        <div *ngFor="let coursediff of CoursesDiffDep">
          <div class="col-xs-12 col-sm-12 d-md-none">
            <div>
              <div class='card'>
                <a [routerLink]="['/courses', coursediff.course.id,coursediff.year.id,coursediff.period.id]">
                  <div class='card-body'>
                    <div class='row'>
                      <div class="col-12 card-body-title">
                        <h5 class="font-weight-normal">
                          {{coursediff.title}}
                        </h5>
                      </div>
                    </div>
                    <div class ="row text-secondary">
                      <div class="col-12">
                        <div class="row justify-content-start mb-2">
                          <div class="col-auto">
                            <i class="fa fa-flag-checkered"></i>
                            <span class="pl-2">{{coursediff.course.displayCode}}</span>
                          </div>
                          <div class="col-auto">
                            <i class="fa fa-user-secret"></i>
                            <span class="pl-2">{{ coursediff.numberOfStudents }}</span> <span class="pl-1" [translate]="'CoursesLocal.Students'" ></span>
                          </div>
                          <div class="col-auto">
                      <span *ngIf="coursediff.sections.length == 0; else Show">
                        <i class="fa fa-user-secret pr-2"></i>
                        <span  [translate]="'CoursesLocal.SectionNotFound'"></span>
                      </span>
                            <ng-template #Show>
                              <i class="fa fa-user-secret"></i>
                              <span class="pl-2" *ngFor="let section of coursediff.sections; let isLast=last">
                         {{ section.name }}{{isLast ? '' : ', '}}
                        </span>
                            </ng-template>
                          </div>
                        </div>
                        <div class="row justify-content-start mb-2">
                          <div class="col-auto">
                            <i class ="fa fa-user-secret"></i>

                            <span class="pl-2">{{coursediff.period.alternateName | translate}} {{coursediff.year.alternateName}}</span>
                          </div>
                          <div class="col-auto">
                            <i class ="fa fa-user-secret"></i>
                            <span class="pl-2">{{ coursediff.course.department.name }}</span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </a>
              </div>
            </div>
          </div>
          <div class='card d-none d-md-block'>
            <div class='card-body'>
              <div class='row'>
                <div class="col-12 card-body-title">
                  <h5 class="font-weight-normal">
                    {{coursediff.title}}
                  </h5>
                </div>
              </div>
              <div class ="row text-secondary">
                <div class="col-lg-7 col-md-7 col-sm-12">
                  <div class="row justify-content-start mb-2">
                    <div class="col-auto">
                      <i class="fa fa-flag-checkered"></i>
                      <span class="pl-2">{{coursediff.course.displayCode}}</span>
                    </div>
                    <div class="col-auto">
                      <i class="fa fa-user-secret"></i>
                      <span class="pl-2">{{ coursediff.numberOfStudents }}</span> <span class="pl-1" [translate]="'CoursesLocal.Students'" ></span>
                    </div>
                    <div class="col-auto">
                      <span *ngIf="coursediff.sections.length == 0; else Show">
                        <i class="fa fa-user-secret pr-2"></i>
                        <span  [translate]="'CoursesLocal.SectionNotFound'"></span>
                      </span>
                      <ng-template #Show>
                        <i class="fa fa-user-secret"></i>
                        <span class="pl-2" *ngFor="let section of coursediff.sections; let isLast=last">
                         {{ section.name }}{{isLast ? '' : ', '}}
                        </span>
                      </ng-template>
                    </div>
                  </div>
                  <div class="row justify-content-start mb-2">
                    <div class="col-auto">
                      <i class ="fa fa-user-secret"></i>

                      <span class="pl-2">{{coursediff.period.alternateName | translate}} {{coursediff.year.alternateName}}</span>
                    </div>
                    <div class="col-auto">
                      <i class ="fa fa-user-secret"></i>
                      <span class="pl-2">{{ coursediff.course.department.name }}</span>
                    </div>
                  </div>
                </div>
                <div class ="col-lg-2 col-md-2 col-sm-6 d-none d-md-block">
                  <div class="btn-group" id="wrapper1" dropdown>
                    <button dropdownToggle type="button" class="btn btn-primary p-2 mt-4 mb-2">
                      <span [translate]="'CoursesLocal.Grading'"></span>
                    </button>
                    <ul *dropdownMenu class="dropdown-menu dropdown-menu-right"  role="menu">
                      <div *ngFor ="let courseExam of coursediff.exams">
                        <div>
                          <li role="menuitem"><a class="dropdown-item" align="right" [routerLink]="['/courses',coursediff.course.id,coursediff.year.id,coursediff.period.id,'exams',coursediff.id]" >  {{courseExam.examPeriod.name}} {{courseExam.year.alternateName}}</a></li>
                        </div>
                      </div>
                    </ul>
                  </div>
                </div>
                <div class="col-lg-2 col-md-3 col-12 d-none d-md-block">
                  <div class="justify-content-center">
                    <div class=" col-md-12 ">
                      <button type="button"
                              class="btn btn-outline-secondary  rounded text-secondary btn-more btn-block  p-2 mb-2">
                        <i class="fa fa-flag-checkered pr-2"></i> <span [translate]="'CoursesLocal.Elearning'"></span>
                      </button></div>
                    <div class="col-md-12">
                      <button type="button"
                              class="btn btn-outline-secondary  rounded text-secondary btn-more btn-block  p-2 mb-2">
                        <i class="fa fa-flag-checkered pr-2"></i> <span [translate]="'CoursesLocal.Schedule'"></span>
                      </button></div>
                  </div>
                </div>
                <div class="col-lg-1 col-md-1 d-none d-lg-block d-xl-block">
                  <div class=" justify-content-center">
                    <div class="btn-group" dropdown>
                      <i dropdownToggle class ="fa fa-chevron-down big-icon p-2 mt-4 mb-2"></i>
                      <ul *dropdownMenu class="dropdown-menu dropdown-menu-right"  role="menu">
                        <li role="menuitem"><a class="dropdown-item" align="right" [routerLink]="['/courses', coursediff.course.id,coursediff.year.id,coursediff.period.id]"  [translate] ="'CoursesLocal.MoreCourseInfo'"></a></li>
                        <li role="menuitem"><a class="dropdown-item disabled" href="#"  [translate] = "'CoursesLocal.sendEmail'" ></a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <ng-template #nocoursediff>
        <span [translate]="'CoursesLocal.CoursesNotFound'"></span>
      </ng-template>
    </div>
  </div>
</div>
